> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Export Should Start / Should Finish Report as Excel

> GET /public/v2/projects/{projectId}/scenarios/{scenarioId}/should-start-finish.xlsx



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))


### Query parameters

- **startOfWindow** (string)

- **endOfWindow** (string)

- **groupBy** (string)

- **activityCodeTypeIds** (array[integer(int64)])

- **filterId** (array[integer(int64)])

- **activityCodeFilter** (array[integer(int64)])

- **startStatus** (string)

- **finishStatus** (string)

- **overallStatus** (string)

- **sortBy** (string)

- **sortDirection** (string)



## Responses
### 200
OK

#### Body: application/vnd.ms-excel (string(byte))
string(byte)

[Powered by Bump.sh](https://bump.sh)
